Subject: Re: [External] : bug#63891: 29.0.91; customize-save-variable should not save all variables if a custom file exists

From: Michael Albinus <[email-masked]>
Date: Sun, 29 Oct 2023 12:07:29 +0100

Mauro Aranda <[email-masked]> writes:

Hi Mauro,

> I guess at this point I need to hear from Michael to understand better
> about this 2 defcustoms in particular, and what are the expectations
> after modifying them.  I certainly wish the code goes back to using
> customize-set-variable or something similar, rather than
> custom-set-variables.

I'm neutral to whatever is used. But applying customize-set-variable
as-it-is has the known drawbacks. If it is fixed in
customize-set-variable, or if there is another function, we could use it
for connection-local variables.

However, I don't work in the Customize area myself. Don't expect patches
from me.

Best regards, Michael.